Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.lifecycle
Class LifecycleActionProcessor

    java.lang.Object
      oracle.ifs.beans.lifecycle.LifecycleActionProcessor

    public class LifecycleActionProcessor

extends java.lang.Object

Performs the processing of lifecycle operations, typically driven by the LifecycleAgent.

See Also:
  `LifecycleAgent`, `LifecyclePolicyAction`

Method Summary
`static int` | `processDocumentsForTimedActions(LibrarySession session, LifecyclePolicyEntry lpe, LibraryObject[] docs)` Process the timed actions for the specified LifecyclePolicyEntry.
`static void` | `processEventAction(LibrarySession session, Document doc)` Process the event action for the specified Document and LifecyclePolicyEntry.
`static java.lang.Long[]` | `selectDocumentIdsForTimedActions(LibrarySession session, LifecyclePolicyEntry lpe, int batchSize)` Process the document IDs that are candidates for timed actions for the specified LifecyclePolicyEntry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### selectDocumentIdsForTimedActions

    public static java.lang.Long[] selectDocumentIdsForTimedActions(LibrarySession session,
                                                                    LifecyclePolicyEntry lpe,
                                                                    int batchSize)
                                                             throws java.lang.Exception

  Description copied from class: `LifecycleActionProcessor`
  Process the document IDs that are candidates for timed actions for the specified LifecyclePolicyEntry.

  Performs a search for all documents that are candidates to move to the state indicated by the specified LifecycleEntry.

  Parameters:
    `session` - the session context
    `lpe` - the policy entry
    `batchSize` - the maximum number of Documents to select
  Returns:
    the set of candidate document IDs
  Throws:
    `java.lang.Exception` - if the operation fails

### processDocumentsForTimedActions

    public static int processDocumentsForTimedActions(LibrarySession session,
                                                      LifecyclePolicyEntry lpe,
                                                      LibraryObject[] docs)
                                               throws java.lang.Exception

  Description copied from class: `LifecycleActionProcessor`
  Process the timed actions for the specified LifecyclePolicyEntry.

  Performs a search for all documents that are candidates to move to the state indicated by the specified LifecycleEntry.

  Parameters:
    `session` - the session context
    `lpe` - the policy entry
    `docs` - the documents to process; each element in the array is guaranteed to be a Document
  Returns:
    the count of the number of documents processed
  Throws:
    `java.lang.Exception` - if the operation fails

### processEventAction

    public static void processEventAction(LibrarySession session,
                                          Document doc)
                                   throws java.lang.Exception

  Description copied from class: `LifecycleActionProcessor`
  Process the event action for the specified Document and LifecyclePolicyEntry.

  Parameters:
    `session` - the session context
    `doc` - the document to process
  Throws:
    `java.lang.Exception` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD